List templates
Lists the account’s email templates as a paginated envelope.
GET
/v2/ accounts/ {accountId}/ templatesPath parameters
accountIdstringrequired
The account the request is scoped to.
Query parameters
startintegeroptional
Zero-based offset of the first item to return. Default: 0.
limitintegeroptional
Maximum number of items to return. Clamped to 100. Default: 25.
Response
A page of templates.
Errors
401
Missing or invalid token, or the token is not authorized for this account/user.
See Errors and rate limits for what error responses look like.
curl --location --request GET 'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/templates' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
const res = await fetch('https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/templates', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.SENDSTREAK_TOKEN}`
}
});
import os, requests
res = requests.get(
'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/templates',
headers={'Authorization': f"Bearer {os.environ['SENDSTREAK_TOKEN']}"},
)
{
"start": 0,
"limit": 25,
"items": [
{
"_id": "665f0a2b1c9d440012ab34cd",
"name": "Example name",
"slug": "sign-up-thank-you",
"subject": "Welcome to Acme!",
"fromName": "Acme Team",
"fromEmail": "[email protected]",
"content": "<h1>Welcome to Acme!</h1><p>Your account is ready - happy sending.</p>",
"textContent": "Welcome aboard, John!",
"contentType": "html",
"cc": "[email protected]",
"bcc": "[email protected]",
"rcptName": "John Doe",
"preferredEmailServer": "6652ee3f5a0c220015bc34de",
"replyTo": "[email protected]",
"clickTracking": false,
"openTracking": false
}
]
}